dbXML API

## org.dbxml.core.objects
Class XMLObjectManager

    java.lang.Object
      |
      +--org.dbxml.server.SimpleConfigurable
            |
            +--org.dbxml.core.objects.XMLObjectManager

All Implemented Interfaces:
  org.dbxml.server.Configurable

public final class XMLObjectManager
extends org.dbxml.server.SimpleConfigurable

XMLObjectManager manages XMLObject instances.

Constructor Summary
`XMLObjectManager(Collection collection)`

Method Summary
`XMLObject` `create(org.dbxml.server.Configuration cfg)` create creates a new XMLObject object and any associated system resources that the XMLObject will need.
`boolean` `drop(java.lang.String name)` drop physically removes the specified XMLObject and any associated system resources that the XMLObject uses.
`XMLObject` `get(java.lang.String name)` get retrieves an XMLObject by name, and will also do the work of instantiation and pool-retrieval.
`java.lang.String` `getCanonicalName(java.lang.String name)`
`java.lang.String[]` `list()` list returns a list of the XMLObjects that this XMLObjectManager has registered.
`XMLObject` `register(java.lang.Class c, org.dbxml.server.Configuration cfg)`
`void` `setConfig(org.dbxml.server.Configuration config)`
`void` `unregister(java.lang.String name)`

Methods inherited from class org.dbxml.server.SimpleConfigurable
`getConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLObjectManager

    public XMLObjectManager(Collection collection)

Method Detail

### setConfig

    public void setConfig(org.dbxml.server.Configuration config)
                   throws org.dbxml.server.dbXMLException

  Overrides:
    `setConfig` in class `org.dbxml.server.SimpleConfigurable`

### list

    public java.lang.String[] list()

  list returns a list of the XMLObjects that this XMLObjectManager has registered.
  Returns:
    An array containing the XMLObject names

### drop

    public boolean drop(java.lang.String name)

  drop physically removes the specified XMLObject and any associated system resources that the XMLObject uses.
  Parameters:
    `name` - The XMLObject to drop
  Returns:
    Whether or not the XMLObject was dropped

### create

    public XMLObject create(org.dbxml.server.Configuration cfg)
                     throws DBException

  create creates a new XMLObject object and any associated system resources that the XMLObject will need.
  Parameters:
    `cfg` - The XMLObject's configuration
  Returns:
    The XMLObject that was created

### register

    public XMLObject register(java.lang.Class c,
                              org.dbxml.server.Configuration cfg)
                       throws DBException

### unregister

    public void unregister(java.lang.String name)

### get

    public XMLObject get(java.lang.String name)

  get retrieves an XMLObject by name, and will also do the work of instantiation and pool-retrieval.
  Returns:
    The XMLObject

### getCanonicalName

    public java.lang.String getCanonicalName(java.lang.String name)

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved